package com.knauf.ejb.stateless;

/**Exceptionklasse fr ungltige Parameter an eine der "Berechnen"-Methode.
 * Eine IllegalArgumentException wre zwar geeignet, von der J2EE-Spezifikation
 * aber verboten, weil es eine java.lang.RuntimeException ist.
 * @author Wolfgang Knauf
 */
public class InvalidParameterException extends Exception
{
	/**Exception mit der bergebenen Fehlermeldung erzeugen.
	 * @param str_Message Die Exception-Fehlermeldung.
	 */
	public InvalidParameterException (String str_Message)
	{
		super (str_Message);
	}
}